> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List project templates

> 
API call to list [project templates](https://support.phrase.com/hc/en-us/articles/5709647439772-Project-Templates-TMS-).

Use the query parameters below to refine your search criteria for project templates:

- **name** - The full project template name or a portion of it. For example, using `name=GUI` or `name=02`
will locate project templates named `GUI02`.
- **clientId** - The client's ID within the system, not interchangeable with its UID.
- **clientName** - The complete or partial name of the client. For instance, using `clientName=GUI` or `clientName=02`
will find project templates associated with the client `GUI02`.
- **ownerUid** - The user UID who owns the project template within the system, interchangeable with its ID.
- **domainName** - The complete or partial name of the domain. Using `domainName=GUI` or `domainName=02` will find
project templates associated with the domain `GUI02`.
- **subDomainName** - The complete or partial name of the subdomain. For instance, using `subDomainName=GUI` or
`subDomainName=02` will locate project templates linked to the subdomain `GUI02`.
- **costCenterId** - The cost center's ID within the system, not interchangeable with its UID.
- **costCenterName** - The complete or partial name of the cost center. For example, using `costCenterName=GUI` or
`costCenterName=02` will find project templates associated with the cost center `GUI02`.
- **businessUnitName** - The complete or partial name of the business unit. For instance, using `businessUnitName=GUI`
or `businessUnitName=02` will locate project templates linked to the business unit `GUI02`.
- **sort** - Determines if the resulting list of project templates should be sorted by their names or the date they
were created. This field supports either `dateCreated` or `templateName` as values.
- **direction** - Indicates the sorting order for the resulting list by using either `asc` (ascending) or `desc`
(descending) values.
- **pageNumber** - Indicates the desired page number (zero-based) to retrieve. The total number of pages is returned in
the `totalPages` field within each response.
- **pageSize** - Indicates the page size, affecting the `totalPages` retrieved in each response and potentially
impacting the number of iterations needed to obtain all project templates.




## OpenAPI

````yaml /openapi/phrase-tms-latest.json get /api2/v1/projectTemplates
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: Latest
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Additional Workflow Step
  - name: Analysis
  - name: Async Request
  - name: Authentication
  - name: Automations
  - name: Bilingual File
  - name: Business Unit
  - name: Buyer
  - name: Client
  - name: Connector
  - name: Conversations
  - name: Cost Center
  - name: Custom Fields
  - name: Custom File Type
  - name: Domain
  - name: Due Date Scheme
  - name: Email Template
  - name: File
  - name: Glossary
  - name: Import settings
  - name: Job
  - name: Language AI
  - name: Language Assets
  - name: Language Quality Assessment
  - name: Machine Translation
  - name: Machine Translation Settings
  - name: Mapping
  - name: Net Rate Scheme
  - name: Notifications
  - name: Price List
  - name: Project
  - name: Project Template
  - name: Provider
  - name: Quality Assurance
  - name: Quality Profile
  - name: Quote
  - name: Reference File
  - name: SCIM
  - name: Segment
  - name: Segmentation Rules
  - name: Service
  - name: Spell Check
  - name: SubDomain
  - name: Supported Languages
  - name: Term Base
  - name: Translation
  - name: Translation Memory
  - name: User
  - name: Vendor
  - name: Webhook
  - name: Workflow Step
  - name: Workflow changes
  - name: XML Assistant
paths:
  /api2/v1/projectTemplates:
    get:
      tags:
        - Project Template
      summary: List project templates
      description: >

        API call to list [project
        templates](https://support.phrase.com/hc/en-us/articles/5709647439772-Project-Templates-TMS-).


        Use the query parameters below to refine your search criteria for
        project templates:


        - **name** - The full project template name or a portion of it. For
        example, using `name=GUI` or `name=02`

        will locate project templates named `GUI02`.

        - **clientId** - The client's ID within the system, not interchangeable
        with its UID.

        - **clientName** - The complete or partial name of the client. For
        instance, using `clientName=GUI` or `clientName=02`

        will find project templates associated with the client `GUI02`.

        - **ownerUid** - The user UID who owns the project template within the
        system, interchangeable with its ID.

        - **domainName** - The complete or partial name of the domain. Using
        `domainName=GUI` or `domainName=02` will find

        project templates associated with the domain `GUI02`.

        - **subDomainName** - The complete or partial name of the subdomain. For
        instance, using `subDomainName=GUI` or

        `subDomainName=02` will locate project templates linked to the subdomain
        `GUI02`.

        - **costCenterId** - The cost center's ID within the system, not
        interchangeable with its UID.

        - **costCenterName** - The complete or partial name of the cost center.
        For example, using `costCenterName=GUI` or

        `costCenterName=02` will find project templates associated with the cost
        center `GUI02`.

        - **businessUnitName** - The complete or partial name of the business
        unit. For instance, using `businessUnitName=GUI`

        or `businessUnitName=02` will locate project templates linked to the
        business unit `GUI02`.

        - **sort** - Determines if the resulting list of project templates
        should be sorted by their names or the date they

        were created. This field supports either `dateCreated` or `templateName`
        as values.

        - **direction** - Indicates the sorting order for the resulting list by
        using either `asc` (ascending) or `desc`

        (descending) values.

        - **pageNumber** - Indicates the desired page number (zero-based) to
        retrieve. The total number of pages is returned in

        the `totalPages` field within each response.

        - **pageSize** - Indicates the page size, affecting the `totalPages`
        retrieved in each response and potentially

        impacting the number of iterations needed to obtain all project
        templates.
      operationId: getProjectTemplates
      parameters:
        - name: name
          in: query
          required: false
          schema:
            type: string
        - name: clientId
          in: query
          required: false
          schema:
            type: integer
            format: int64
        - name: clientName
          in: query
          required: false
          schema:
            type: string
        - name: ownerUid
          in: query
          required: false
          schema:
            type: string
        - name: createdByUid
          in: query
          required: false
          schema:
            type: string
        - name: domainName
          in: query
          required: false
          schema:
            type: string
        - name: subDomainName
          in: query
          required: false
          schema:
            type: string
        - name: costCenterId
          in: query
          required: false
          schema:
            type: integer
            format: int64
        - name: costCenterName
          in: query
          required: false
          schema:
            type: string
        - name: businessUnitName
          in: query
          required: false
          schema:
            type: string
        - name: sourceLangs
          in: query
          required: false
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: targetLangs
          in: query
          required: false
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: createdInLastHours
          in: query
          required: false
          schema:
            type: integer
            format: int32
            minimum: 0
        - name: sort
          in: query
          required: false
          schema:
            type: string
            enum:
              - templateName
              - dateCreated
              - clientName
              - businessUnitName
              - domainName
              - subdomainName
              - createdBy
              - owner
              - sourceLang
            default: dateCreated
        - name: direction
          in: query
          required: false
          schema:
            type: string
            pattern: asc|desc
            default: desc
        - name: pageNumber
          in: query
          description: Page number, starting with 0, default 0
          required: false
          schema:
            type: integer
            format: int32
            minimum: 0
            default: 0
        - name: pageSize
          in: query
          description: Page size, accepts values between 1 and 50, default 50
          required: false
          schema:
            type: integer
            format: int32
            minimum: 1
            maximum: 50
            default: 50
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PageDtoProjectTemplateReferenceProjectTemplateV1
        '400':
          description: Bad request
        '401':
          description: Not authorized
        '403':
          description: Forbidden
        '404':
          description: Resource not found
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not implemented
components:
  schemas:
    PageDtoProjectTemplateReferenceProjectTemplateV1:
      type: object
      properties:
        content:
          type: array
          items:
            $ref: '#/components/schemas/ProjectTemplateReferenceProjectTemplateV1'
        numberOfElements:
          type: integer
          format: int32
        pageNumber:
          type: integer
          format: int32
        pageSize:
          type: integer
          format: int32
        sort:
          $ref: '#/components/schemas/Sort'
        totalElements:
          type: integer
          format: int32
        totalPages:
          type: integer
          format: int32
    ProjectTemplateReferenceProjectTemplateV1:
      type: object
      properties:
        businessUnit:
          $ref: '#/components/schemas/BusinessUnitReferenceV1'
        client:
          $ref: '#/components/schemas/ClientReferenceV1'
        costCenter:
          $ref: '#/components/schemas/CostCenterReferenceV1'
        createdBy:
          $ref: '#/components/schemas/UserReferenceV1'
        dateCreated:
          type: string
          format: date-time
        domain:
          $ref: '#/components/schemas/DomainReferenceV1'
        id:
          type: string
        note:
          type: string
        owner:
          $ref: '#/components/schemas/UserReferenceV1'
        projectWorkflowSettings:
          $ref: '#/components/schemas/ProjectWorkflowSettingsReferenceV1'
        sourceLang:
          type: string
        subDomain:
          $ref: '#/components/schemas/SubDomainReferenceV1'
        targetLangs:
          type: array
          items:
            type: string
        templateName:
          type: string
        uid:
          type: string
        workflowSteps:
          type: array
          items:
            $ref: '#/components/schemas/WorkflowStepReferenceV1'
    Sort:
      type: object
      properties:
        orders:
          type: array
          items:
            $ref: '#/components/schemas/SortOrder'
    BusinessUnitReferenceV1:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        uid:
          type: string
    ClientReferenceV1:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        uid:
          type: string
    CostCenterReferenceV1:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        uid:
          type: string
    UserReferenceV1:
      type: object
      properties:
        email:
          type: string
        firstName:
          type: string
        id:
          type: string
        lastName:
          type: string
        role:
          type: string
          enum:
            - SYS_ADMIN
            - SYS_ADMIN_READ
            - ADMIN
            - PROJECT_MANAGER
            - LINGUIST
            - GUEST
            - SUBMITTER
            - PORTAL_MEMBER
            - BOT
        uid:
          type: string
        userName:
          type: string
    DomainReferenceV1:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        uid:
          type: string
    ProjectWorkflowSettingsReferenceV1:
      type: object
      properties:
        completeUnassigned:
          type: boolean
        propagateTranslationsToLowerWfDuringUpdateSource:
          type: boolean
    SubDomainReferenceV1:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        uid:
          type: string
    WorkflowStepReferenceV1:
      type: object
      properties:
        id:
          type: string
        lqaEnabled:
          type: boolean
        name:
          type: string
        order:
          type: integer
          format: int32
        uid:
          type: string
    SortOrder:
      type: object
      properties:
        direction:
          type: string
          enum:
            - ASC
            - DESC
        property:
          type: string
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}

````